using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航属性：人员试题
    /// </summary>
    [Description("人员试题")]
    public class T_SE_TRAIN_RECORD_PAPER : MesEntityBase
    {
        /// <summary>
        /// 培训记录
        /// </summary>
        [Description("培训记录")]
        [DataFieldForeignKey("Nav_Record","Nav_Papers")]
        public Guid RECORD_ID { get; set; }
        /// <summary>
        /// 导航: 培训记录
        /// </summary>
        [Description("导航: 培训记录")]
        public T_SE_TRAIN_RECORD Nav_Record { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 人员
        /// </summary>
        [Description("导航: 人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("试题")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Test")]
        public Guid? TEST_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 试题")]
        public T_SE_TEST Nav_Test { get; set; }
        /// <summary>
        /// 答案 与Nav_Test.ANSWER一致，为零则表示还未答题
        /// </summary>
        [Description("答案")]
        [FormFieldEdit]
        public int ANSWER { get; set; }
        /// <summary>
        /// 考试得分
        /// </summary>
        [Description("考试得分")]
        public int SCORE { get; set; }
    }
}
